03 July 2014

Running GlassFish v3.1.2.2 on JDK 8

GlassFish v3 will simply not run on JDK 8 in the standard configuration but I found a little tweak to accomplish this.

Open the file
${GLASSFISH_HOME}/glassfish/config/osgi.properties
and add this line at the end:
jre-1.8=${jre-1.7}


Happy Coding!

2 comments :